MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001818VCMIMechanics - Adventure Mappublic2014-06-29 15:072022-02-10 11:10
ReporterIvan 
Assigned ToSXX 
PrioritylowSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.95c 
Target VersionFixed in Version1.next 
Summary0001818: Extreme slowdown on hero movement after revealing entire map (pathfinder?)
DescriptionTo reproduce:
- Load map "Thousand Islands"
- Move your hero around island (everything OK)
- reveal entire map via vcmieagles
- Try moving hero again. At this moment movement becomes extremely slow consuming all CPU power.
- Board ship at south-east corner of island, using vcminahar if needed
- Hero movement seem so be back to normal

Probably pathfinder does not reacts well to huge water spaces when there is available ship in vicinity.
TagsNo tags attached.
Attached Files? file icon billions of billions islands.h3m [^] (11,524 bytes) 2014-12-21 15:39

- Relationships

-  Notes
(0004810)
Warmonger (administrator)
2014-06-29 18:08

It may be similiar to already fixed bottleneck in adventure AI, will check.
(0005220)
Warmonger (administrator)
2014-12-20 10:52

Is this still an issue?
(0005246)
Kantor (updater)
2014-12-21 15:39

I've compared both versions(0.95c and 0.97b) and it seems that issue has gone. In VCMI 0.95c moving hero was doing small delays between tiles, and in current version he doesn't. But there still is something like small freeze every time hero is ending his move. That slowdowns are quite well visible on the map which I'm including, just repeat the same steps in description. I'm not sure if it can be considered as a new issue, if yes, I'll create one.
(0006113)
SXX (administrator)
2015-11-25 07:08

Updated pathfinder I just merged should already be much faster as we fixed multiple bottlenecks, but there also work on separate thread:
https://github.com/vcmi/vcmi/pull/138 [^]

If threading implemented pathfinder won't affect client responsiveness even on super-slow devices.
(0008056)
Povelitel (updater)
2022-02-10 11:10

Another outdated ticket. Not repeated in the current develop

- Issue History
Date Modified Username Field Change
2014-06-29 15:07 Ivan New Issue
2014-06-29 18:08 Warmonger Note Added: 0004810
2014-06-29 18:09 Warmonger Assigned To => Warmonger
2014-06-29 18:09 Warmonger Status new => assigned
2014-12-20 10:52 Warmonger Note Added: 0005220
2014-12-20 10:52 Warmonger Status assigned => feedback
2014-12-21 15:39 Kantor Note Added: 0005246
2014-12-21 15:39 Kantor File Added: billions of billions islands.h3m
2015-11-25 07:08 SXX Note Added: 0006113
2022-02-10 11:10 Povelitel Note Added: 0008056
2022-02-10 11:10 Povelitel Status feedback => resolved
2022-02-10 11:10 Povelitel Fixed in Version => 1.next
2022-02-10 11:10 Povelitel Resolution open => fixed
2022-02-10 11:10 Povelitel Assigned To Warmonger => SXX

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2022 MantisBT Team
Hosting provided by DigitalOcean